> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Processes

> Get processes for your company



## OpenAPI

````yaml GET /processes
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /processes:
    get:
      tags:
        - Processes
      summary: Get Processes
      description: Get processes for your company
      operationId: get-processes
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: Find a process by name
        - schema:
            type: boolean
          in: query
          name: is_mandatory
          description: Find processes by whether they are mandatory or not
        - schema:
            type: string
          in: query
          name: component_id
          description: Get Processes linked to a component id
        - schema:
            type: boolean
          in: query
          name: show_steps
          description: Show the process steps related to a process
        - schema:
            type: string
          in: query
          name: id
          description: Find process by its database id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Process'
                  x-stoplight:
                    id: r2gcshguxm9j7
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    Process:
      type: object
      x-examples:
        Example 1:
          id: 1cad8c06-8e75-4bfb-a3dc-6ca85f57b300
          company_id: b9c6b890-a3e7-431a-8168-24a8cdda8199
          name: Cut Extrusions to Length
          created_at: '2023-10-19T22:30:06.473099+00:00'
          use_api: false
          record_operator: true
          is_mandatory: true
          break_prior_links: true
          dependent_process_ids: []
          type: PRODUCTION
          revision: 1
          carbon_copy: null
          revision_description: ''
          is_latest_revision: true
          created_by_user_id: 75e5b3aa-be32-4a04-881e-eceff19041fa
          allow_batch: false
      description: Database process object
      properties:
        id:
          type: string
          format: uuid
        company_id:
          type: string
          format: uuid
        name:
          type: string
        created_at:
          type: string
          format: date-time
        use_api:
          type: boolean
        record_operator:
          type: boolean
        is_mandatory:
          type: boolean
        break_prior_links:
          type: boolean
        dependent_process_ids:
          type: array
          items:
            type: string
            format: uuid
        type:
          enum:
            - PRODUCTION
            - INSTANTIATION
            - ASSIGN_WORK_ORDER
        revision:
          type: integer
        carbon_copy:
          type:
            - object
            - 'null'
        revision_description:
          type:
            - string
            - 'null'
        is_latest_revision:
          type: boolean
        created_by_user_id:
          type:
            - string
            - 'null'
        allow_batch:
          type: boolean
        approved:
          type: boolean
          x-stoplight:
            id: 8obi6aojny2mh
        approved_by:
          type: string
          x-stoplight:
            id: bhgqym8awnr3i
          format: uuid
        approved_at:
          type: string
          x-stoplight:
            id: r4z24oe31ubfj
          format: date-time
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````